{% for news in templateVars.newsList %}

    {# title #}
    <h3 class="{% if not loop.first %}{{ 'u-pt-0_5 border--top'|prefixClass }}{% endif %} u-mb-0 font-size-h3 weight--normal">
        <a href="{{ path('DemosPlan_news_news_public_detail', {procedure: news.pId, newsID: news.ident}) }}">
            {{ news.title }}
        </a>
    </h3>

    {# meta #}
    <div class="{{ 'flow-root u-mv-0_25 o-hellip'|prefixClass }}">

        {# creation date #}
        {% if news.createDate is defined %}
            <span class="{{ 'font-size-smaller float-left'|prefixClass }}">
                {{ news.createDate|default|dplanDateAnnotated }}
            </span>
        {% endif %}

        {# label 'press' if press category found #}
        {% if news.categoryTypes is defined and 'press' in news.categoryTypes %}
            <span class="{{ 'font-size-smaller float-left'|prefixClass }}">
                Pressebericht
            </span>
        {% endif %}

        {# pdf attachment #}
        {% if news.pdf is defined and news.pdf != '' %}
            <a
                class="{{ 'font-size-smaller float-right max-width-100p'|prefixClass }}"
                target="_blank"
                rel="noopener"
                href="{{ path("core_file", { 'hash': news.pdf|getFile('hash') }) }}"
                title="Download {{ news.pdftitle|default(news.pdf|getFile('name')) }} {% if (news.pdf|getFile('size')|length > 0 or news.pdf|getFile('mimeType')|length > 0 ) %} ({{- news.pdf|getFile('size') }} {{ news.pdf|getFile('mimeType') -}}){% endif %}">
                <i class="{{ 'fa fa-file'|prefixClass }}" aria-hidden="true"></i>
                {{ news.pdftitle|default(news.pdf|getFile('name')) }}
            </a>
        {% endif %}

    </div>

    {# wrap floating content elements in clearfix #}
    <div class="{{ 'flow-root u-pb-0_5 relative'|prefixClass }}">

        {# image is represented as css background image to keep square proportions in fluid context #}
        {% if news.picture is defined and news.picture != "" %}
            <div class="{{ 'o-box__thumbnail'|prefixClass }}"
                 style="background-image: url( {{ path("core_logo", { 'hash': news.picture|getFile('hash') }) }} );">
            </div>
        {% endif %}

        {# full text #}
        <div class="{{ 'c-styled-html'|prefixClass }} {% if news.picture is defined and news.picture != "" %}overflow-auto{% endif %}">
            {{ news.description|wysiwyg }}
        </div>

    </div>

{% endfor %}
